package com.bcxin.ars.dto;

import com.bcxin.ars.model.task.AppNotice;

/**
 * APP消息通知列表查询DTO
 * @author zhangye
 */
public class AppNoticeSearchDto extends SearchDto<AppNotice> {

	/**
	 * 通知分类ID
	 */
	private Long noticeTypeID;
	
	/**
	 * 通知标题
	 */
	private String noticeTitle;
	
	
	/**
	 * 通知内容
	 */
	private String noticeContent; 
	
	
	/**
	 * 链接地址
	 */
	private String linkUrl;
	
	/**
	 * 保安人员ID
	 */
	private Long personId;

	/**
	 * 阅读情况(0:未读，1：已读)
	 */
	private String readStatus;

	public Long getNoticeTypeID() {
		return noticeTypeID;
	}

	public void setNoticeTypeID(Long noticeTypeID) {
		this.noticeTypeID = noticeTypeID;
	}

	public String getNoticeTitle() {
		return noticeTitle;
	}

	public void setNoticeTitle(String noticeTitle) {
		this.noticeTitle = noticeTitle;
	}

	public String getNoticeContent() {
		return noticeContent;
	}

	public void setNoticeContent(String noticeContent) {
		this.noticeContent = noticeContent;
	}

	public String getLinkUrl() {
		return linkUrl;
	}

	public void setLinkUrl(String linkUrl) {
		this.linkUrl = linkUrl;
	}

	public Long getPersonId() {
		return personId;
	}

	public void setPersonId(Long personId) {
		this.personId = personId;
	}

	public String getReadStatus() {
		return readStatus;
	}

	public void setReadStatus(String readStatus) {
		this.readStatus = readStatus;
	}

	 
	
}
